<?php

namespace Drupal\paragraphs_limits\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks if a limit is set on the paragraph.
 *
 * @Constraint(
 *   id = "ParagraphsLimits",
 *   label = @Translation("Paragraphs Limits", context = "Validation"),
 * )
 */
class ParagraphsLimitsConstraint extends Constraint {

  /**
   * The message will be shown if more than one paragraph of this type is added.
   *
   * @var string
   */
  public $message = 'A %min_max of %limit "%title" of type "%paragraph_type" is allowed.';

}
